/* Application initialization/notification API header.
   Rick Smereka, Copyright (C) 2002-2002.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, get a copy via the Internet at
   http://gnu.org/copyleft/gpl.html or write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston,
   MA 02111-1307 USA

   You can contact the author via email at rsmereka@future-lab.com

   Original Linux version. May/2002, Rick Smereka

   Ported to 32-bit Windows. Jun/2002, Rick Smereka

   Added application name function prototypes.
   Ported to QNX 4.x. Jul/2002, Rick Smereka

   Ported to Debian Linux. Nov/2002, Rick Smereka */

#ifdef __cplusplus
extern "C"
{
#endif

int appinit_start(char *);
int appinit_stop(char *);
int appinit_waitfor(char *, int);
int appinit_register_name(char *);
int appinit_get_name(char *);
int appinit_remove_name(void);

#ifdef __cplusplus
}
#endif

